<?php

namespace App\Modules\Procurement;

use Illuminate\Support\ServiceProvider;
use App\Modules\Procurement\Contracts\ProcurementServiceInterface;
use App\Modules\Procurement\Services\ProcurementService;

class ProcurementServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->bind(ProcurementServiceInterface::class, ProcurementService::class);
    }

    public function boot(): void
    {
        //
    }
}
